package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface LegislativePeriod {
    /**
     * Returns the id of the legislative period.
     *
     * @return the id of the legislative period
     */
    int getId();

    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();

    /**
     * Returns the number of the legislative period.
     *
     * @return the number of the legislative period
     */
    String getStartDate();

    /**
     * Returns the start date of the legislative period.
     *
     * @return the start date of the legislative period
     */
    String getEndDate();

    /**
     * Returns the end date of the legislative period.
     *
     * @return the end date of the legislative period
     */
    String getConstituency();

    /**
     * Returns the HTML representation of the agenda item.
     *
     * @return The HTML representation of the agenda item.
     */
    String toHTML();
}
